Create Card Product

Use this API to Create Card Product. This API enables the creation of a card product, allowing users to generate either a virtual or physical card product for a variety of transactions. The API supports specifying card product types and setting transaction limits. Example Requests:

POST v1/cardproducts

Body Params
integer
required
Defaults to 1

The cardProcessorId is a unique identifier assigned to each card processor in the system. This identifier is used to specify which card processor will handle the transaction. It is required for any transaction request that involves card payments.

integer
required
Defaults to 1

The externalProductId is a unique identifier assigned to products by an external system. This identifier is used to link and reference products between your system and external systems, such as third-party inventory or catalog services.

integer
required
Defaults to 50000

This identifier is used to specify which configuration settings will be applied to the transaction processing by the card processor.

string
required
Defaults to Mbanq Card Product

Unique name given to the Card product

integer

The associated legal form Id. It's used to associate the card product with either a Person or a Entity. Accepted Values are :

  1. 1 - Person
  2. 2 - Entity Pattern: '^(1|2)$' Example: `1``
string
required
Defaults to DEBIT

This field to specify the type of the Card either DEBIT or CREDIT.

string
required
Defaults to VISA

This identifier is used to select the appropriate network for card transactions.

string
required
Defaults to 12345678

This identifier is used to identify the issuing bank or financial institution of the card.

integer

This field is used to specify the year when the card will no longer be valid for transactions.

integer
required
Defaults to 1

This parameter is used to enforce limits on the number of active cards for security and management purposes.

string
required
Defaults to USD

The currency code for the charge. Example: USD

number
required
Defaults to 2

The decimal places of the currency.

boolean

To indicate if the online payment enabled for this card product. Example: true

boolean

To indicate if the contactless payment is enabled for this card product. Example: true

boolean

To indicate if the ATM with draws enabled for this card product. Example: true

boolean

To indicate if the international payments enabled for this card product. Example: true

boolean

To indicate if the POS payments enabled for this card product. Example: true

boolean

To indicate if the this card product supports the virtual card feature. Example: true

boolean

To indicate if the this card product required to setup the PIN manually. Example: true

boolean

To indicate this card product status in active or inactive state. Example: true

boolean

This field indicates this card product is prepaid card. Example: true

integer

Address type identifier for the card. This field is mandatory for virtual cards only. The value should be retrieved from the Address Template API response.

To get valid address type IDs:

  1. Call the Address Template API: GET /v1/client/addresses/template
  2. From the response, use the id field from the addressTypeIdOptions array
  3. Common values include IDs for address types like PRIMARY, BUSINESS

Example: 32 (for BUSINESS address type)

Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json